Bug 219753 - Provide option to exclude locale JARs from JNLP build for NetBeans Platform Application
Provide option to exclude locale JARs from JNLP build for NetBeans Platform A...
Status: RESOLVED FIXED
Product: apisupport
Classification: Unclassified
Component: Project
7.2
PC Windows 7
: P2 with 8 votes (vote)
: 8.0
Assigned To: Martin Kozeny
issues@apisupport
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 12:25 UTC by pjdm
Modified: 2014-03-27 22:50 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pjdm 2012-10-09 12:25:24 UTC
When building a JNLP distribution for a NetBeans Platform Application project, locale JAR files are included in the build by the makejnlp taks. (In my version, the locales pt_BR, ru, ja, zh_CN are included.) These locales are not required, and are therefore a waste of time (signing the JARs at build time), disk space, and network bandwidth.

Looking at the source code for the makejnlp task (org.netbeans.nbbuild.MakeJNLP.java), it appears that this feature is hard-coded, so the locale jars cannot be excluded by manipulating filesets.

Please provide an option for the makejnlp task that will exclude unnecessary locale JARs, or alternatively only include required local JARs. It would be great if this option was implemented in jnlp.xml with a property that can be easily customised.

For instance:

<makejnlp
    includelocales="${jnlp.included.locales}"
    ...

where jnlp.included.locales defaults to "*" to provide a backward-compatible "all provided locales", but can be set to "" to exclude all locale JARs.
Comment 1 ah_mostin 2013-10-30 23:23:42 UTC
I would love to see this added but perhaps enhanced a little to support the use-case where developers can select the locales they want supported (All/None/Some subset).

After upgrading our internal application with NB RCP version NB691 to NB73 we saw the following:
- Maven Build times significantly increased as we need to sign every jar for webstart deployments so there are now a lot more jars.

- Applications launched via webstart took longer to load due to the increased number of files to download and also webstart validationg each jar in the cache compared to the server.
Comment 2 Martin Kozeny 2013-11-25 16:04:43 UTC
For ant projects, add to projects.properties file empty propety(jnlp.included.locales=), then no locales will be added, if property is removed, then all locales are will be added, otherwise add particular locales deliminated by comma (jnlp.included.locales=pt_BR,ja).
https://hg.netbeans.org/core-main/rev/d6537b338d01
Comment 3 janvo 2014-01-27 14:19:50 UTC
is there a change this will be backported to netbeans platfrom 7?

netbeans platform 7 is just to slow in building/signing and starting now


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo